package tk.antoine_roux.wiki.model.internal;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.ZonedDateTime;
import java.util.List;

public class Commit {
    public String id;
    public String message;
    public String url;
    public UserReduced author;
    public UserReduced committer;
    public String verification;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ssXXX")
    public ZonedDateTime timestamp;

    public List<String> added;
    public List<String> removed;
    public List<String> modified;
}
