package tk.antoine_roux.wiki.model.internal;

import tk.antoine_roux.wiki.model.response.RegisterRunnerResponse;

import java.util.List;
import java.util.UUID;

/**
 * in memory representation of gitlab runner
 */
public class Runner {
    public String description;
    public List<String> tags;
    public UUID registrationToken;
    public UUID authenticationToken;
    public Integer id;

    public RegisterRunnerResponse toRegisterResponse() {
        return new RegisterRunnerResponse(String.valueOf(this.id), this.authenticationToken.toString());
    }
}
