package tk.antoine_roux.wiki.model.request;

import java.util.Map;

public class RunnerInfo {

    public String name;
    public String version;
    public String revision;
    public String platform;
    public String architecture;
    public String executor;
    public String shell;

    /**
     * features can contains :
     * <ul>
     *     <li>variables</li>
     *     <li>image</li>
     *     <li>services</li>
     *     <li>artifacts</li>
     *     <li>cache</li>
     *     <li>shared</li>
     *     <li>upload_multiple_artifacts</li>
     *     <li>upload_raw_artifacts</li>
     *     <li>session</li>
     *     <li>terminal</li>
     *     <li>refspecs</li>
     *     <li>masking</li>
     *     <li>proxy</li>
     *     <li>raw_variables</li>
     *     <li>artifacts_exclude</li>
     *     <li>multi_build_steps</li>
     * </ul>
     */
    public Map<String, Boolean> features;
}
