package tk.antoine_roux.wiki.model.response;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Json response object for register endpoint
 */
public class RegisterRunnerResponse {
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    String id;
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    String token;

    public RegisterRunnerResponse(String id, String token) {
        this.id = id;
        this.token = token;
    }
}
