package tk.antoine_roux.wiki.utilitary;

import java.util.function.Supplier;

public final class Boolean {

    /**
     * utility method throw ex if in is false, else follow in value
     *
     * @param in
     * @param ex
     * @throws Exception exception thrown when in param is false
     */
    public static <T extends Exception> void trueOrElseThrow(boolean in, Supplier<T> ex) throws Exception {
        if (!in) {
            throw ex.get();
        }
    }
}
